MenuCreator.MENU_LOCATION (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui.plugin, interface: MenuCreator, enum: MENU_LOCATION

Package org.apache.jmeter.gui.plugin

# Enum MenuCreator.MENU_LOCATION

java.lang.Object
java.lang.Enum<MenuCreator.MENU_LOCATION>
org.apache.jmeter.gui.plugin.MenuCreator.MENU_LOCATION

All Implemented Interfaces:
  `Serializable`, `Comparable<MenuCreator.MENU_LOCATION>`, `java.lang.constant.Constable`

Enclosing interface:
  MenuCreator

public static enum MenuCreator.MENU_LOCATION extends Enum<MenuCreator.MENU_LOCATION>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EDIT`
  `FILE`
  `HELP`
  `OPTIONS`
  `RUN`
  `SEARCH`
  `TOOLS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MenuCreator.MENU_LOCATION`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MenuCreator.MENU_LOCATION[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILE

    public static final MenuCreator.MENU_LOCATION FILE

  - ### EDIT

    public static final MenuCreator.MENU_LOCATION EDIT

  - ### RUN

    public static final MenuCreator.MENU_LOCATION RUN

  - ### OPTIONS

    public static final MenuCreator.MENU_LOCATION OPTIONS

  - ### HELP

    public static final MenuCreator.MENU_LOCATION HELP

  - ### SEARCH

    public static final MenuCreator.MENU_LOCATION SEARCH

  - ### TOOLS

    public static final MenuCreator.MENU_LOCATION TOOLS

- ## Method Details

  - ### values

    public static MenuCreator.MENU_LOCATION[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MenuCreator.MENU_LOCATION valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null